package com.yeejoin.amos.boot.module.ugp.api.service;

import java.util.Map;

public interface IProcessRelationService {

    /**
     * 保存资源流程关系信息
     *
     * @param instanceId 流程实例id
     * @param sourceId 资源id
     * @param processName 流程名称（文字） eg:ProcessTypeEnum.项目立项.getName()
     */
    void savePR(String instanceId, Long sourceId, String processName);

    /**
     * 更新资源流程关系信息 state字段
     *
     * @param instanceId 流程实例id
     */
    void updateState(String instanceId,String taskName);

    Map<String,Object> getProcessRelation(Long projectId);
}
